Package org.silverpeas.mobile.client.components.base

## Class NavigationMenu

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.NavigationMenu

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `PageEventHandler`

      public class NavigationMenu
      extends com.google.gwt.user.client.ui.Composite
      implements PageEventHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ApplicationMessages` | `msg` |

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NavigationMenu()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `calendar​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `void` | `closeMenu()` |
    `protected void` | `disconnect​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `void` | `finishLoadingData​(LoadingDataFinishEvent loadingDataFinishEvent)` |
    `protected void` | `goConfig​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `protected void` | `goHelp​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `protected void` | `goHome​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `protected void` | `goNotificationsBox​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `protected void` | `goSharesBox​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `boolean` | `isPersonalAppsInitialized()` |
    `void` | `loadedDataEvent​(DataLoadedEvent dataLoadedEvent)` |
    `void` | `loadedMoreDataEvent​(MoreDataLoadedEvent moreDataLoadedEvent)` |
    `void` | `receiveEvent​(PageEvent event)` |
    `void` | `resetSearchField()` |
    `protected void` | `search​(com.google.gwt.event.dom.client.KeyDownEvent event)` |
    `void` | `setPersonalApps​(List<ApplicationInstanceDTO> applicationInstanceDTOS)` |
    `void` | `setUser​(DetailUserDTO currentUser)` |
    `void` | `toogleMenu()` |
    `protected void` | `updateStatus​(com.google.gwt.event.dom.client.ClickEvent event)` |

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### msg

          @UiField(provided=true)
          protected ApplicationMessages msg

  - ### Constructor Detail

    - #### NavigationMenu

          public NavigationMenu()

  - ### Method Detail

    - #### isPersonalAppsInitialized

          public boolean isPersonalAppsInitialized()

    - #### setPersonalApps

          public void setPersonalApps​(List<ApplicationInstanceDTO> applicationInstanceDTOS)

    - #### receiveEvent

          public void receiveEvent​(PageEvent event)

      Specified by:
        `receiveEvent` in interface `PageEventHandler`

    - #### finishLoadingData

          public void finishLoadingData​(LoadingDataFinishEvent loadingDataFinishEvent)

      Specified by:
        `finishLoadingData` in interface `PageEventHandler`

    - #### loadedDataEvent

          public void loadedDataEvent​(DataLoadedEvent dataLoadedEvent)

      Specified by:
        `loadedDataEvent` in interface `PageEventHandler`

    - #### loadedMoreDataEvent

          public void loadedMoreDataEvent​(MoreDataLoadedEvent moreDataLoadedEvent)

      Specified by:
        `loadedMoreDataEvent` in interface `PageEventHandler`

    - #### toogleMenu

          public void toogleMenu()

    - #### closeMenu

          public void closeMenu()

    - #### resetSearchField

          public void resetSearchField()

    - #### search

          @UiHandler("search")
          protected void search​(com.google.gwt.event.dom.client.KeyDownEvent event)

    - #### goHome

          @UiHandler("home")
          protected void goHome​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### goSharesBox

          @UiHandler("shares")
          protected void goSharesBox​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### goNotificationsBox

          @UiHandler("notifications")
          protected void goNotificationsBox​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### goHelp

          @UiHandler("help")
          protected void goHelp​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### goConfig

          @UiHandler("config")
          protected void goConfig​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### updateStatus

          @UiHandler("updateStatus")
          protected void updateStatus​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### disconnect

          @UiHandler("disconnect")
          protected void disconnect​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### calendar

          @UiHandler("calendar")
          protected void calendar​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### setUser

          public void setUser​(DetailUserDTO currentUser)